# $Id: smeserver-sysmon.spec,v 1.10 2019/12/27 04:02:37 jpp Exp $
# Authority: slords
# Name: Shad L. Lords

Summary: sme server system monitor
%define name smeserver-sysmon
Name: %{name}
%define version 6.5
%define release 1
Version: %{version}
Release: %{release}%{?dist}
License: Freely distributable
Group: Service
Source: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/e-smith-buildroot
BuildRequires: e-smith-devtools
BuildArchitectures: noarch
Requires: smeserver-release >= 9
Requires: sysstat >= 5
Requires: rrdtool >= 1.2
Requires: perl(RRDs)
Requires: fping
Requires: perl(File::Find::Rule)
Requires: perl(File::Slurp)
AutoReqProv: no
Patch0: smeserver-sysmon-6.5-bz4449.patch

%changelog
* Fri Dec 27 2019 Jean-Philipe Pialasse <tests@pialasse.com> 6.5-1.sme
- fix utf8 error 
- fix ups not displaying [SME: 4449]
- fix broken image when DS not all available for ups, fan, temperature and voltage graphs

* Thu Jan 18 2018 John Crisp <jcrisp@safeandsoundit.co.uk> 6.4-6.sme
- Fix database backups iunspec file [[SME: 7096]]

* Mon Jan 15 2018 John Crisp <jcrisp@safeandsoundit.co.uk> 6.4-5.sme
- Fix missing swap information [[SME: 10493]]
- Remove unnecessary daemonising line

* Thu Sep 24 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 6.4-4.sme
- Network labels have changed in rrdtools
- Added smeserver-sysmon-6.4.change_rrd_network_label.patch

* Thu Sep 24 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 6.4-2.sme
- Initial release to contribs9

* Wed Aug 15 2012 JP Pialasse <tests@pialasse.com> 6.2-2.sme
- patch for sysstats 7 and for 64 bit systems

* Thu Aug 9 2012 Shad L. Lords <slords@mail.com> 6.2-1.sme
- Initial version

%description
System monitor for SME Server version 9

%prep
%setup
%patch0 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%pre
if [ $1 -ge 1 ]; then
    /sbin/service sysmon stop &> /dev/null || :
fi

%post
if [ $1 -ge 2 ]; then
    /sbin/service sysmon restart &> /dev/null || :
fi


%preun
if [ $1 -eq 0 ]; then
    /sbin/service sysmon stop &> /dev/null || :
fi

%postun
if [ $1 -ge 1 ]; then
    /sbin/service sysmon restart &> /dev/null || :
fi

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
